let url_Backend_dwinzo = `http://185.100.212.76:5000`;

export const getZonesApi = async (organization: string) => {
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/v2/findZones/${organization}`, {
            method: "GET",
            headers: {
                "Content-Type": "application/json",
            },
        });

        // if (!response.ok) {
        //     throw new Error("Failed to get Zones");
        // }

        const result = await response.json();
        return result;
    } catch (error) {
        if (error instanceof Error) {
            throw new Error(error.message);
        } else {
            throw new Error("An unknown error occurred");
        }
    }
};